Subject: Re: Cygwin-Perl upgrade and modules
From: "Gerrit P. Haase" <[email-masked]>
To: "Gary Nielson" <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Aug 2004 13:37:38 +0200

Gary wrote:

> The other day, I decided to finally update all my cygwin packages with
> setup.exe -- including perl. Went from 5.8.0 to 5.8.5 and now realize that
> the path to all the modules I installed is under the older version at
> /usr/lib/perl5/site_perl/5.8.0 instead of  /usr/lib/perl5/site_perl/5.8.5.
> I've always shied away from upgrading perl in Linux so don't have much
> experience dealing with modules from older installations. Must I re-install
> all these modules, or can I add a path to them in my scripts, or should I
> revert back to the older version of perl and if so, how? Any help
> appreciated.

It is not binary compatible (IIRC, 5.8.0 was not threaded), so you
should recompile all modules which require compilation, pure perl
modules may be moved from 5.8.0 to 5.8.5 path, however I always rebuild
them from scratch. 

The autobundle command in a CPAN shell is meant to create a list of
packages which you have installed (run before unistalling), after update
you may simply run `install autobundle_$date` in the CPAN shell, this
pulls all listed modules and tries to install it.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/